Bug 16878 - Well, I'm on it again. The description on events is a shambles. I'm trying to write a course on HTML 5 and the information is contradictory or missing. First, as before, the section "Global attributes" lists what it purports to be the event handler conten
Well, I'm on it again. The description on events is a shambles. I'm trying to...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 22:01 UTC by contributor
Modified: 2012-10-29 13:21 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-04-27 22:01:52 UTC
Specification: http://dev.w3.org/html5/spec/
Multipage: http://www.whatwg.org/C#top
Complete: http://www.whatwg.org/c#top

Comment:
Well, I'm on it again. The description on events is a shambles. I'm trying to
write a course on HTML 5 and the information is contradictory or missing.

First, as before, the section "Global attributes" lists what it purports to be
the event handler content attributes that may be specified on any HTML
element. But, as mentioned before, these events are not described there.

But there are places scattered around the doc where various events are
described. What's disturbing is there are events described in these places
that are not on the list in "Global attributes" and there are events in
"Global attributes" that are not found anywhere I could see in the doc.

First, events listed in "Global attributes" that I could not find other
references for:

* oncancel
* onclose


Then events I found elsewhere that are not in the "Global attributes" list :

* addtrack
* afterprint
* beforeprint
* beforeunload
* DOMContentLoaded
* enter
* exit
* error
* message
* offline
* online
* pagehide
* pageshow
* popstate
* readystatechange



(By the way, there is a reference to framesets in "Event handlers on elements,
Document objects, and Window objects", but I thought framesets have been
removed.)


I understand this is an enormous project with tons of detail, and I appreciate
your work and effort. I'm just trying to point out some areas of concern so
you can address them when they bubble to the top of the priorty list.

Kind regards,

-Steve Comstock
steve@trainersfriend.com

Posted from: 174.29.123.115
User agent: Mozilla/5.0 (Windows NT 5.1; rv:12.0) Gecko/20100101 Firefox/12.0
Comment 1 contributor 2012-07-18 07:20:41 UTC
This bug was cloned to create bug 17940 as part of operation convergence.
Comment 2 Silvia Pfeiffer 2012-10-29 13:21:36 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted

Change Description: 
https://github.com/w3c/html/commit/5b72bc87235d03d4a9351f15cd30f4b7b4966037

Rationale: accepted patch of WHATWG